%global momorel 1
%define real_name Event-RPC

Summary:	Event based transparent Client/Server RPC framework
Name:		perl-Event-RPC
Version:	1.01
Release:	%{momorel}m%{?dist}
License:	Artistic or GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Event-RPC/
Source0:	http://www.cpan.org/modules/by-module/Event/%{real_name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:  perl-Event
BuildRequires:  perl-Glib
BuildRequires:  perl-IO-Socket-SSL
BuildRequires:  perl-Net-SSLeay
Requires:       perl-Event
Requires:       perl-Glib
Requires:       perl-IO-Socket-SSL
Requires:       perl-Net-SSLeay
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Event based transparent Client/Server RPC framework.


%prep
%setup -q -n %{real_name}-%{version}
# Make it so that the .pl scripts in %%doc don't add bogus requirements
%{__chmod} -x examples/*.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod \
           %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc Changes examples/ README
%dir %{perl_vendorlib}/Event/
%{perl_vendorlib}/Event/RPC/
%{perl_vendorlib}/Event/RPC.pm
%{_mandir}/man3/*


%changelog
* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-1m)
- update to 1.01

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.00-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-1m)
- update to 1.00

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.90-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.90-4m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.90-3m)
- use vendor

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.90-2m)
- modify requires and buildrequires

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.90-1m)
- import to Momonga from freshrpms.net


* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 0.89-1
- Update to 0.89.

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 0.88-2
- Release bump to drop the disttag number in FC5 build.

* Mon Jan  9 2006 Matthias Saou <http://freshrpms.net/> 0.88-1
- Initial RPM package.

